> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Eval Details

> Retrieves per-conversation evaluation results for the comma-separated `eval_ids` supplied in the query string.



## OpenAPI

````yaml /openapi/endpoints/meta-business-agent-public.openapi.json get /metaBusinessAgents/{entityId}/evals
openapi: 3.0.0
info:
  title: YCloud Meta Business Agent Public API
  version: v2
  description: >-
    Create, configure, test, and operate a Meta Business Agent for a WhatsApp
    Business phone number through YCloud.
servers:
  - url: https://api.ycloud.com/v2
    description: YCloud API base URL
security:
  - api_key: []
tags:
  - name: Meta Business Agents
    description: >-
      Meta Business Agent onboarding, knowledge, skills, connectors, tools,
      operations, and evaluations.
paths:
  /metaBusinessAgents/{entityId}/evals:
    get:
      tags:
        - Meta Business Agents
      summary: Get Eval Details
      description: >-
        Retrieves per-conversation evaluation results for the comma-separated
        `eval_ids` supplied in the query string.
      operationId: meta-business-agent-get-eval-details
      parameters:
        - name: entityId
          in: path
          required: true
          schema:
            type: string
          description: WhatsApp Business Phone Number ID that owns the Meta Business Agent.
        - name: eval_ids
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Operation completed successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalDetailListDTO'
        '400':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '401':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '403':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '404':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '409':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '429':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '500':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '502':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
components:
  schemas:
    EvalDetailListDTO:
      type: object
      properties:
        evaluations:
          type: array
          items:
            $ref: '#/components/schemas/EvalDetailDTO'
      additionalProperties: false
    MetaBusinessAgentErrorResponse:
      type: object
      additionalProperties: true
      properties:
        status:
          type: integer
        code:
          type: string
        message:
          type: string
        target:
          type: string
        docUrl:
          type: string
        requestId:
          type: string
        metaBusinessAgentApiError:
          $ref: '#/components/schemas/MetaBusinessAgentApiError'
    EvalDetailDTO:
      type: object
      properties:
        id:
          type: string
        score:
          type: integer
          format: int32
        per_turn_labels:
          type: string
        reasons:
          type: string
        custom_success_criteria:
          type: string
        eval_case_id:
          type: string
        transcript:
          type: string
        creation_time:
          type: integer
          format: int64
        update_time:
          type: integer
          format: int64
      additionalProperties: false
    MetaBusinessAgentApiError:
      type: object
      additionalProperties: false
      properties:
        title:
          type: string
          description: Meta error title, when available.
        detail:
          type: string
          description: Actionable Meta error detail, when available.
        type:
          type: string
          description: Meta error category or URI, when available.
        status:
          type: integer
          description: Upstream HTTP status.
        requestId:
          type: string
          description: Upstream request identifier.
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.